OLT ONU Register
21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addAuthenticationConfig | POST | Create authentication config |
| editOnuAdminStatus | POST | Modify an existing ONU admin status |
| deleteAuthenticationConfig | POST | Batch delete existing authentication config |
| editAuthenticationConfig | POST | Modify an existing authentication config |
| getAuthenticationConfigList | GET | Get authentication config list |
| getAuthenticationConfigPage | GET | Get authentication config page |
| editOnuAutoAuthenticationConfig | POST | Modify an existing ONU auto authentication config |
| getOnuAutoAuthenticationConfig | GET | Get ONU auto authentication config |
| editOnuPonAutoAuthenticationConfig | POST | Modify an existing ONU pon auto authentication config |
| getOnuPonAutoAuthenticationConfig | GET | Get ONU pon auto authentication config |
| addOnuAutoAuthenticationRuleConfig | POST | Create ONU auto authentication rule |
| deleteOnuAutoAuthenticationRuleConfig | POST | Delete an existing ONU auto authentication rule |
| editOnuAutoAuthenticationRuleConfig | POST | Modify an existing ONU auto authentication rule |
| getOnuAutoAuthenticationRuleConfigList | GET | Get ONU auto authentication rule list |
| getOnuAutoAuthenticationRuleConfigPage | GET | Get ONU auto authentication rule page |
| editOnuRegisterAutofindConfig | POST | Modify an existing ONU register auto find config |
| getOnuRegisterAutofindConfig | GET | Get ONU register auto find config |
| authOnu | POST | Authenticate ONU |
| clearOnuAutofindConfig | POST | Batch delete existing ONU auto find config |
| getOnuAutofindConfigList | GET | Get ONU auto find config list |
| getOnuAutofindConfigPage | GET | get ONU auto find config page |
addAuthenticationConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/add
Create authentication config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema AuthenticationConfigAddDTO
| Field | Type | Required | Description |
|---|---|---|---|
portId | string | yes | Pon port ID.e.g.GPON 1/0/1 |
onuId | integer | no | ONU ID,This parameter is optional. If not specified, the system will automatically allocate the smallest available ONU number under the current port.OnuId should be within the range of 0 to 127 |
authenticationConfigInfo | AuthenticationConfigInfoDTO | no | (AuthenticationConfigInfoDTO not expanded; call omada_get_schema "AuthenticationConfigInfoDTO") |
// omada_call_operation
{
"operationId": "addAuthenticationConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create authentication config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editOnuAdminStatus
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/admin-status/edit
Modify an existing ONU admin status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OnuAdminStatusEditDTO
| Field | Type | Required | Description |
|---|---|---|---|
adminStatus | string | yes | Admin status should be a value as follows:ACTIVATE,DEACTIVATE |
keys | array<string> | yes | Entry identifier list |
// omada_call_operation
{
"operationId": "editOnuAdminStatus",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing ONU admin status
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteAuthenticationConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/delete
Batch delete existing authentication config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema StringKeyListRequest
| Field | Type | Required | Description |
|---|---|---|---|
keys | array<string> | yes | String key list |
// omada_call_operation
{
"operationId": "deleteAuthenticationConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete existing authentication config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editAuthenticationConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/edit
Modify an existing authentication config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema AuthenticationConfigEditDTO
| Field | Type | Required | Description |
|---|---|---|---|
key | string | yes | Identifier of entry |
portId | string | yes | Pon port ID.e.g.GPON 1/0/1 |
onuId | integer | no | ONU ID,This parameter is optional. If not specified, the system will automatically allocate the smallest available ONU number under the current port.OnuId should be within the range of 0 to 127 |
authenticationConfigInfo | AuthenticationConfigInfoDTO | no | (AuthenticationConfigInfoDTO not expanded; call omada_get_schema "AuthenticationConfigInfoDTO") |
// omada_call_operation
{
"operationId": "editAuthenticationConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing authentication config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getAuthenticationConfigList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/list
Get authentication config list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | OnuRegisterAuthenPageQueryRequestDTO | no | Object: its fields (searchKey, sorts, size, number, searchFields, ponPort) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getAuthenticationConfigList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get authentication config list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.
getAuthenticationConfigPage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/authentications/page
Get authentication config page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | OnuRegisterAuthenPageQueryRequestDTO | no | Object: its fields (searchKey, sorts, size, number, searchFields, ponPort) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getAuthenticationConfigPage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get authentication config page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.
editOnuAutoAuthenticationConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/global/configs/edit
Modify an existing ONU auto authentication config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema AutoAuthenticationConfigDTO
| Field | Type | Required | Description |
|---|---|---|---|
autoAuthenticationStatus | string | yes | Auto authentication status should be a value as follows:ENABLE,DISABLE |
// omada_call_operation
{
"operationId": "editOnuAutoAuthenticationConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing ONU auto authentication config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getOnuAutoAuthenticationConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/global/configs/get
Get ONU auto authentication config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getOnuAutoAuthenticationConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get ONU auto authentication config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editOnuPonAutoAuthenticationConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/port-configs/edit
Modify an existing ONU pon auto authentication config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema PonAutoAuthenticationConfigDTO
| Field | Type | Required | Description |
|---|---|---|---|
ponPort | string | yes | Pon port.e.g.GPON 1/0/1 |
autoAuthenticationStatus | string | no | Auto authentication status should be a value as follows:ENABLE,DISABLE |
onuMatchMode | string | no | ONU match mode of automatic authentication.OnuMatchMode should be a value as follows:ALL_ONU,EQUID_AUTH,EQUID_SWVER_AUTH,VENDOR_AUTH |
authenticationMethod | string | no | Authentication mode used by the automatically discovered ONU.AuthenticationMethod should be a value as follows:PASSWORD_AUTH,SN_AUTH,LOID_AUTH,SN_AND_PASSWORD_AUTH,LOID_AND_PASSWORD_AUTH |
discoveryMode | string | no | ONU auto discovery mode.DiscoveryMode should be a value as follows:ALWAYS_ON,ONCE_ON |
reRegisterAuthentication | string | no | Re-Register-Authentication |
// omada_call_operation
{
"operationId": "editOnuPonAutoAuthenticationConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing ONU pon auto authentication config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getOnuPonAutoAuthenticationConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/port-configs/get
Get ONU pon auto authentication config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | PonPortRequestDTO | no | Object: its fields (ponPort) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getOnuPonAutoAuthenticationConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get ONU pon auto authentication config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.
addOnuAutoAuthenticationRuleConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/rules/add
Create ONU auto authentication rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema PonAutoAuthenticationRuleConfigDTO
| Field | Type | Required | Description |
|---|---|---|---|
key | string | no | Identifier of entry |
ponPort | string | yes | Pon port.e.g.GPON 1/0/1 |
ruleId | integer | no | Rule ID should be within the range of 1 to 128 |
equipId | string | no | Matched ONT ID.EquipId should contain 1 to 20 characters in ASCII (from \x21 to \x7e). |
vendorId | string | no | Matched ONU vendor ID.VendorId should contain 1 to 4 characters in ASCII (from \x21 to \x7e). |
softwareVersion | string | no | Software version should contain 1 to 14 characters, consisting of:Uppercase and lowercase letters,Digits,Special characters: -, @, _, :, /, . |
lineProfile | string | yes | Line profile id bound to the ONU |
lineProfileName | string | no | Line profile name |
serviceProfile | string | yes | ServiceProfile id bound to the ONU |
serviceProfileName | string | no | Service profile name |
servicePortProfile | string | no | Service port profile id bound to the ONU |
// omada_call_operation
{
"operationId": "addOnuAutoAuthenticationRuleConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create ONU auto authentication rule
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteOnuAutoAuthenticationRuleConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/rules/delete
Delete an existing ONU auto authentication rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema PonAutoAuthenticationRuleConfigDeleteDTO
| Field | Type | Required | Description |
|---|---|---|---|
ponPort | string | yes | Pon port.e.g.GPON 1/0/1 |
keys | array<string> | yes | Entry identifier list |
// omada_call_operation
{
"operationId": "deleteOnuAutoAuthenticationRuleConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing ONU auto authentication rule
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editOnuAutoAuthenticationRuleConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/rules/edit
Modify an existing ONU auto authentication rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema PonAutoAuthenticationRuleConfigEditDTO
| Field | Type | Required | Description |
|---|---|---|---|
key | string | yes | Identifier of entry |
ponPort | string | yes | Pon port.e.g.GPON 1/0/1 |
ruleId | integer | yes | Rule ID should be within the range of 1 to 128 |
equipId | string | no | Matched ONT ID.EquipId should contain 1 to 20 characters in ASCII (from \x21 to \x7e). |
vendorId | string | no | Matched ONU vendor ID.VendorId should contain 1 to 4 characters in ASCII (from \x21 to \x7e). |
softwareVersion | string | no | Software version should contain 1 to 14 characters, consisting of:Uppercase and lowercase letters,Digits,Special characters: -, @, _, :, /, . |
lineProfile | string | yes | Line profile id |
lineProfileName | string | no | Line profile name |
serviceProfile | string | yes | Service profile id |
serviceProfileName | string | no | Service profile name |
servicePortProfile | string | no | Service port profile id bound to the ONU |
// omada_call_operation
{
"operationId": "editOnuAutoAuthenticationRuleConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing ONU auto authentication rule
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getOnuAutoAuthenticationRuleConfigList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/rules/list
Get ONU auto authentication rule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | OnuRegisterAuthenticationPageQueryRequestDTO | no | Object: its fields (searchKey, sorts, size, number, ponPort) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getOnuAutoAuthenticationRuleConfigList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get ONU auto authentication rule list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.
getOnuAutoAuthenticationRuleConfigPage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/auto-authentication/rules/page
Get ONU auto authentication rule page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | OnuRegisterAuthenticationPageQueryRequestDTO | no | Object: its fields (searchKey, sorts, size, number, ponPort) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getOnuAutoAuthenticationRuleConfigPage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get ONU auto authentication rule page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.
editOnuRegisterAutofindConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofind/configs/edit
Modify an existing ONU register auto find config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema AutofindConfigDTO
| Field | Type | Required | Description |
|---|---|---|---|
ponPort | string | no | Pon port collection.e.g.,'GPON 1/1/1'、'GPON 1/1/1-3'、'GPON 1/1/1-3,GPON 1/1/5,GPON 1/1/7-8' |
agingTimeStatus | string | yes | Configure the DDM (Digital Diagnostic Monitoring) feature enable status for the optical port.AgingTimeStatus should be a value as follows:TIMEOUT,NO_AGING |
agingTime | integer | no | Configure the actions corresponding to received DDM messages on the optical port.If aging time status is 'No-Aging',AgingTime should be null;If aging time status is 'Timeout',AgingTime should not be null and should be within the range of 100 to 300s. |
autofindInterval | integer | yes | Auto find interval should be within the range of 1 to 10s |
// omada_call_operation
{
"operationId": "editOnuRegisterAutofindConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing ONU register auto find config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getOnuRegisterAutofindConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofind/configs/get
Get ONU register auto find config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getOnuRegisterAutofindConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get ONU register auto find config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
authOnu
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofind/onus/auth
Authenticate ONU
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OnuActivationConfigDTO
| Field | Type | Required | Description |
|---|---|---|---|
keys | array<string> | yes | Entry identifier list |
onuId | integer | no | Onu ID should be within the range of 0 to 127 |
authenticationMethod | string | yes | Authentication mode used by the automatically discovered ONU.AuthenticationMethod should be a value as follows:PASSWORD_AUTH,SN_AUTH,LOID_AUTH,SN_AND_PASSWORD_AUTH,LOID_AND_PASSWORD_AUTH |
lineProfile | string | yes | Line profile id bound to the ONU |
serviceProfile | string | yes | Service profile id bound to the ONU |
description | string | no | Display the configured port description.Only 1-32 bits numbers, Upper and lower letters, -@_😕. are allowed. |
discoveryMode | string | no | ONU auto discovery mode.DiscoveryMode should be a value as follows:ALWAYS_ON,ONCE_ON |
reRegisterAuthentication | string | no | Re-Register-Authentication |
servicePortProfile | string | no | Service port profile id bound to the ONU |
// omada_call_operation
{
"operationId": "authOnu",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Authenticate ONU
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
clearOnuAutofindConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofind/onus/clear
Batch delete existing ONU auto find config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema StringKeyListRequest
| Field | Type | Required | Description |
|---|---|---|---|
keys | array<string> | yes | String key list |
// omada_call_operation
{
"operationId": "clearOnuAutofindConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete existing ONU auto find config
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getOnuAutofindConfigList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofinds/list
Get ONU auto find config list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | OnuRegisterAutoFindPageQueryRequestDTO | no | Object: its fields (searchKey, sorts, size, number, searchFields, ponPort) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getOnuAutofindConfigList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get ONU auto find config list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getOnuAutofindConfigPage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-register/autofinds/page
get ONU auto find config page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | OnuRegisterAutoFindPageQueryRequestDTO | no | Object: its fields (searchKey, sorts, size, number, searchFields, ponPort) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getOnuAutofindConfigPage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
get ONU auto find config page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.